SRC/slasq6.f(3)

NAME
SRC/slasq6.f

SYNOPSIS

  Functions/Subroutines
subroutine slasq6 (i0, n0, z, pp, dmin, dmin1, dmin2, dn, dnm1, dnm2)
SLASQ6 computes one dqd transform in ping-pong form. Used by sbdsqr and sstegr.

Function/Subroutine Documentation

  subroutine slasq6 (integer i0, integer n0, real, dimension( * ) z, integer pp, real dmin, real dmin1, real dmin2, real dn, real dnm1, real dnm2)

SLASQ6 computes one dqd transform in ping-pong form. Used by sbdsqr and sstegr.

Purpose:

     SLASQ6 computes one dqd (shift equal to zero) transform in
     ping-pong form, with protection against underflow and overflow.

Parameters
    I0

              I0 is INTEGER
            First index.

    N0

              N0 is INTEGER
            Last index.

    Z

              Z is REAL array, dimension ( 4*N )
            Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
            an extra argument.

    PP

              PP is INTEGER
            PP=0 for ping, PP=1 for pong.

    DMIN

              DMIN is REAL
            Minimum value of d.

    DMIN1

              DMIN1 is REAL
            Minimum value of d, excluding D( N0 ).

    DMIN2

              DMIN2 is REAL
            Minimum value of d, excluding D( N0 ) and D( N0-1 ).

    DN

              DN is REAL
            d(N0), the last value of d.

    DNM1

              DNM1 is REAL
            d(N0-1).

    DNM2

              DNM2 is REAL
            d(N0-2).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 117 of file slasq6.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.